# hy-cta-link

<!-- Auto Generated Below -->

## Properties

| Property      | Attribute      | Description | Type                                                  | Default                   |
| ------------- | -------------- | ----------- | ----------------------------------------------------- | ------------------------- |
| `headerstyle` | `headerstyle`  |             | `string`                                              | `'default'`               |
| `isExternal`  | `is-external`  |             | `boolean`                                             | `false`                   |
| `linkContent` | `link-content` |             | `string`                                              | `''`                      |
| `scLabel`     | `sc-label`     |             | `string`                                              | `undefined`               |
| `url`         | `url`          |             | `string`                                              | `undefined`               |
| `variant`     | `variant`      |             | `CtaLinkVariants.default \| CtaLinkVariants.linkList` | `CtaLinkVariants.default` |

## Dependencies

### Used by

- [hy-adjacent-image-text](../adjacent-image-text)
- [hy-large-process-flow-phase](../hy-large-process-flow-phase)
- [hy-link-list](../hy-link-list)

### Depends on

- [hy-icon](../icon)

### Graph

```mermaid
graph TD;
  hy-cta-link --> hy-icon
  hy-adjacent-image-text --> hy-cta-link
  hy-large-process-flow-phase --> hy-cta-link
  hy-link-list --> hy-cta-link
  style hy-cta-link fill:#f9f,stroke:#333,stroke-width:4px
```

---

Helsinki University Design System
