import { Component, h } from '@stencil/core';

@Component({
  tag: 'hy-grid-container',
  styleUrl: 'grid-container.scss',
  shadow: false,
})
export class GridContainer {
  render() {
    const classAttributes = ["hy-grid--container"];

    return (
      <div
        class={classAttributes.join(" ")}
      >
        <slot />
      </div>
    );
  }

}
