import {newSpecPage} from '@stencil/core/testing';
import {HyBoxContainer} from '../hy-box-container';

describe('hy-box-container', () => {
  it('renders', async () => {
    const page = await newSpecPage({
      components: [HyBoxContainer],
      html: `<hy-box-container></hy-box-container>`
    });
    expect(page.root).toEqualHtml(`
    <hy-box-container style="width: 100%; display: flex; flex: 1; justify-content: center;">
      <div class="css-gkqfo7"></div>
    </hy-box-container>
    `);
  });
});
