import {newSpecPage} from '@stencil/core/testing';
import {HyKeyHighlight} from '../hy-key-highlight';

describe('hy-key-highlight', () => {
  it('renders', async () => {
    const page = await newSpecPage({
      components: [HyKeyHighlight],
      html: `<hy-key-highlight></hy-key-highlight>`,
    });
    expect(page.root).toEqualHtml(`
      <hy-key-highlight>
        <mock:shadow-root>
          <div class="big hy-key-highlight">
            <div class="hy-key-highlight__title__container">
              <div class="hy-key-highlight__title"></div>
            </div>
            <div class="hy-key-highlight__description"></div>
          </div>
        </mock:shadow-root>
      </hy-key-highlight>
    `);
  });
});
