# hy-video

<!-- Auto Generated Below -->

## Properties

| Property              | Attribute               | Description                                        | Type      | Default     |
| --------------------- | ----------------------- | -------------------------------------------------- | --------- | ----------- |
| `contextLabel`        | `context-label`         | Context label                                      | `string`  | `undefined` |
| `contextLabelVisible` | `context-label-visible` | Should context label be visible                    | `boolean` | `false`     |
| `dateAdded`           | `date-added`            | Date added date as string                          | `string`  | `undefined` |
| `dateAddedLabel`      | `date-added-label`      | Label for date added                               | `string`  | `undefined` |
| `duration`            | `duration`              | Duration number                                    | `string`  | `undefined` |
| `durationLabel`       | `duration-label`        | Label for duration number                          | `string`  | `undefined` |
| `headerstyle`         | `headerstyle`           |                                                    | `string`  | `'default'` |
| `horizontal`          | `horizontal`            | Use horizontal layout where metadata is on side    | `boolean` | `false`     |
| `linkToVideo`         | `link-to-video`         | Url to video, used with preview image              | `string`  | `undefined` |
| `playButtonLabel`     | `play-button-label`     | Label for play button if preview image is provided | `string`  | `undefined` |
| `playButtonVisible`   | `play-button-visible`   | Should play button be visible                      | `boolean` | `false`     |
| `previewImageUrl`     | `preview-image-url`     | Preview image url                                  | `string`  | `undefined` |
| `videoDescription`    | `video-description`     | Video description                                  | `string`  | `undefined` |
| `videoTitle`          | `video-title`           | Video title                                        | `string`  | `undefined` |
| `views`               | `views`                 | Views count number                                 | `string`  | `undefined` |
| `viewsLabel`          | `views-label`           | Label for views number                             | `string`  | `undefined` |

## Dependencies

### Depends on

- [hy-icon](../icon)
- [hy-heading](../heading)
- [hy-box](../hy-box)

### Graph

```mermaid
graph TD;
  hy-video --> hy-icon
  hy-video --> hy-heading
  hy-video --> hy-box
  hy-heading --> hy-box
  style hy-video fill:#f9f,stroke:#333,stroke-width:4px
```

---

Helsinki University Design System
