# hy-link-box

<!-- Auto Generated Below -->

## Properties

| Property          | Attribute          | Description | Type                                                     | Default                   |
| ----------------- | ------------------ | ----------- | -------------------------------------------------------- | ------------------------- |
| `headerstyle`     | `headerstyle`      |             | `string`                                                 | `'common'`                |
| `imageAlt`        | `image-alt`        |             | `string`                                                 | `null`                    |
| `imageUrl`        | `image-url`        |             | `string`                                                 | `null`                    |
| `isExternal`      | `is-external`      |             | `boolean`                                                | `false`                   |
| `scLabel`         | `sc-label`         |             | `string`                                                 | `undefined`               |
| `textDescription` | `text-description` |             | `string`                                                 | `null`                    |
| `textTitle`       | `text-title`       |             | `string`                                                 | `undefined`               |
| `url`             | `url`              |             | `string`                                                 | `undefined`               |
| `variant`         | `variant`          |             | `LinkBoxVariants.default \| LinkBoxVariants.landingPage` | `LinkBoxVariants.default` |

## Dependencies

### Used by

- [hy-link-box-list](../link-box-list)

### Depends on

- [hy-icon](../icon)

### Graph

```mermaid
graph TD;
  hy-link-box --> hy-icon
  hy-link-box-list --> hy-link-box
  style hy-link-box fill:#f9f,stroke:#333,stroke-width:4px
```

---

Helsinki University Design System
