# hy-menu-sidebar

<!-- Auto Generated Below -->

## Properties

| Property                    | Attribute                       | Description                                             | Type                                                                                               | Default            |
| --------------------------- | ------------------------------- | ------------------------------------------------------- | -------------------------------------------------------------------------------------------------- | ------------------ |
| `frontLabel`                | `front-label`                   | Label for frontpage                                     | `string`                                                                                           | `undefined`        |
| `frontUrl`                  | `front-url`                     | Url to frontpage                                        | `string`                                                                                           | `undefined`        |
| `isDemo`                    | `is-demo`                       | Isdemo                                                  | `boolean`                                                                                          | `false`            |
| `logoLabel`                 | `logo-label`                    | Logo label                                              | `string`                                                                                           | `undefined`        |
| `logoUrl`                   | `logo-url`                      | Url for logo.                                           | `string`                                                                                           | `undefined`        |
| `menuIsOpen`                | `menu-is-open`                  | Is menu open boolean.                                   | `boolean`                                                                                          | `false`            |
| `menuType`                  | `menu-type`                     | Menu type. Defaults to sidenav.                         | `MenuType.desktop \| MenuType.mobile \| MenuType.sidenav \| MenuType.sidepanel \| MenuType.tablet` | `MenuType.sidenav` |
| `minHeight`                 | `min-height`                    |                                                         | `any`                                                                                              | `null`             |
| `noChildren`                | `no-children`                   | Should have link to front page or show full menu button | `boolean`                                                                                          | `false`            |
| `panelOpen`                 | `panel-open`                    | Upper menus panel boolean.                              | `boolean`                                                                                          | `false`            |
| `panelToggleAriaLabel`      | `panel-toggle-aria-label`       | Label for panel toggle button.                          | `string`                                                                                           | `undefined`        |
| `panelToggleCloseAriaLabel` | `panel-toggle-close-aria-label` | Label for panel toggle button.                          | `string`                                                                                           | `undefined`        |
| `panelToggleCloseLabel`     | `panel-toggle-close-label`      | Label for panel toggle button.                          | `string`                                                                                           | `undefined`        |
| `panelToggleLabel`          | `panel-toggle-label`            | Label for panel toggle button.                          | `string`                                                                                           | `undefined`        |
| `size`                      | `size`                          | Logo size                                               | `SiteLogoSize.big \| SiteLogoSize.large \| SiteLogoSize.small`                                     | `SiteLogoSize.big` |

## Dependencies

### Depends on

- [hy-icon](../../icon)
- [hy-site-logo](../../site-header/site-logo)

### Graph

```mermaid
graph TD;
  hy-menu-sidebar --> hy-icon
  hy-menu-sidebar --> hy-site-logo
  hy-site-logo --> hy-icon
  style hy-menu-sidebar fill:#f9f,stroke:#333,stroke-width:4px
```

---

Helsinki University Design System
