import { Component, h } from "@stencil/core";

@Component({
  tag: "hy-tiny-text",
  styleUrl: "tiny-text.scss",
  shadow: true
})
export class TinyText {
  render() {
    const classAttributes = ["hy-tiny-text"];
    return (
      <div class={classAttributes.join(" ")}>
        <slot></slot>
      </div>
    );
  }
}
