# hy-footer-info

<!-- Auto Generated Below -->

## Properties

| Property              | Attribute                | Description                     | Type                          | Default     |
| --------------------- | ------------------------ | ------------------------------- | ----------------------------- | ----------- |
| `dataFooterInfoLinks` | `data-footer-info-links` | Data for links to be displayed. | `FooterInfoLinks[] \| string` | `undefined` |
| `linkText`            | `link-text`              | Content area link button text.  | `string`                      | `undefined` |
| `linkUrl`             | `link-url`               | Content area link button url.   | `string`                      | `undefined` |
| `textDescription`     | `text-description`       | Content area text.              | `string`                      | `undefined` |
| `textTitle`           | `text-title`             | Content area title.             | `string`                      | `undefined` |

## Dependencies

### Depends on

- [hy-heading](../../heading)
- [hy-cta-button](../../cta-button)
- [hy-accordion-container](../../accordion-container)
- [hy-accordion-item](../../accordion-item)
- [hy-footer-link-item](../hy-footer-link-item)

### Graph

```mermaid
graph TD;
  hy-footer-info --> hy-heading
  hy-footer-info --> hy-cta-button
  hy-footer-info --> hy-accordion-container
  hy-footer-info --> hy-accordion-item
  hy-footer-info --> hy-footer-link-item
  hy-heading --> hy-box
  hy-cta-button --> hy-icon
  hy-accordion-container --> hy-box
  hy-accordion-item --> hy-icon
  hy-footer-link-item --> hy-icon
  hy-footer-link-item --> hy-heading
  style hy-footer-info fill:#f9f,stroke:#333,stroke-width:4px
```

---

Helsinki University Design System
