import {newSpecPage} from '@stencil/core/testing';
import {HyBadge} from './hy-badge';

describe('hy-badge', () => {
  it('renders', async () => {
    const page = await newSpecPage({
      components: [HyBadge],
      html: `<hy-badge></hy-badge>`
    });
    expect(page.root).toEqualHtml(`
      <hy-badge>
      <mock:shadow-root>
      <span class="hy-badge primary">
          <slot></slot>
          </span>
          </mock:shadow-root>
      </hy-badge>
    `);
  });
});
