import {Component, Host, h} from '@stencil/core';

@Component({
  tag: 'hy-table-container',
  styleUrl: 'hy-table-container.scss',
  shadow: false,
})
export class HyTableContainer {
  render() {
    const classAttributes = ['hy-table-container'].join(' ');

    return (
      <Host class={classAttributes}>
        <slot></slot>
        <hy-box mb="1.75, 1.75, 2, 2.5" />
      </Host>
    );
  }
}
