# site-logo

<!-- Auto Generated Below -->

## Properties

| Property  | Attribute  | Description | Type                                                           | Default                |
| --------- | ---------- | ----------- | -------------------------------------------------------------- | ---------------------- |
| `color`   | `color`    |             | `ColorVariant.black \| ColorVariant.white`                     | `ColorVariant.black`   |
| `isGroup` | `is-group` |             | `boolean`                                                      | `false`                |
| `label`   | `label`    |             | `string`                                                       | `undefined`            |
| `size`    | `size`     |             | `SiteLogoSize.big \| SiteLogoSize.large \| SiteLogoSize.small` | `SiteLogoSize.big`     |
| `type`    | `type`     |             | `FooterVariant.footer \| FooterVariant.header`                 | `FooterVariant.header` |
| `url`     | `url`      |             | `string`                                                       | `undefined`            |

## Dependencies

### Used by

- [hy-footer-base](../../footer/hy-footer-base)
- [hy-menu](../../navigation/menu)
- [hy-menu-main-group](../../navigation/hy-menu-main-group)
- [hy-menu-sidebar](../../navigation/menu-sidebar)
- [hy-site-header](..)
- [hy-user-login-form](../../hy-user-login-form)

### Depends on

- [hy-icon](../../icon)

### Graph

```mermaid
graph TD;
  hy-site-logo --> hy-icon
  hy-footer-base --> hy-site-logo
  hy-menu --> hy-site-logo
  hy-menu-main-group --> hy-site-logo
  hy-menu-sidebar --> hy-site-logo
  hy-site-header --> hy-site-logo
  hy-user-login-form --> hy-site-logo
  style hy-site-logo fill:#f9f,stroke:#333,stroke-width:4px
```

---

Helsinki University Design System
